astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- VOTable XML handling (`astropy.io.votable`) »
- CooSys

# CooSys

class `astropy.io.votable.tree.``CooSys`(ID=None, equinox=None, epoch=None, system=None, id=None, config={}, pos=None, **extra)

  Bases: `astropy.io.votable.tree.SimpleElement`

  COOSYS element: defines a coordinate system.

  The keyword arguments correspond to setting members of the same name, documented below.

  Attributes Summary

  `ID` | [required] The XML ID of the COOSYS element, used for
  `epoch` | Specifies the epoch of the positions.
  `equinox` | A parameter required to fix the equatorial or ecliptic systems (as e.g.
  `system` | Specifies the type of coordinate system.

  Attributes Documentation

  `ID`

    [required] The XML ID of the COOSYS element, used for cross-referencing. May be `None` or a string conforming to XML ID syntax.

  `epoch`

    Specifies the epoch of the positions. It must be a string specifying an astronomical year.

  `equinox`

    A parameter required to fix the equatorial or ecliptic systems (as e.g. “J2000” as the default “eq_FK5” or “B1950” as the default “eq_FK4”).

  `system`

    Specifies the type of coordinate system. Valid choices are:

    > ‘eq_FK4’, ‘eq_FK5’, ‘ICRS’, ‘ecl_FK4’, ‘ecl_FK5’, ‘galactic’, ‘supergalactic’, ‘xy’, ‘barycentric’, or ‘geo_app’